# an intro to react!

## about the course:

### what you need to know:

* HTML and JavaScript understanding.

### what you need to have:

* laptop and charger

* a free CodePen account

* a github account

* a text editor

* google chrome with the react developer tools extension installed

### what you will learn:

* Learn when React makes sense to use in a JavaScript project

* Learn how React works and what sets it apart from other JavaScript frameworks through hands-on coding exercises

* Start using the latest and greatest version of JavaScript, ES6 (ECMAScript 6, aka ES2015)

* Build your own React projects
